
/******************************************************************************/
/*                                                                            */
/* Module Name: IBMMMOOV.H                                                    */
/*                                                                            */
/* This file contains defines for the M-Motion overlay driver IBMMMOOV.DLL    */
/*                                                                            */
/* Copyright (c) International Business Machines Corporation 1992             */
/*                        All Rights Reserved                                 */
/*                                                                            */
/******************************************************************************/

/*----------------------------------------------------------------------------*/
/* Custom return codes...                                                     */
/* MCIERR_CUSTOM_DRIVER_BASE is defined in MEERROR.H as '(MCIERR_BASE + 256)' */
/* MCERR_BASE is defined in MEERROR.H as '5000'                               */
/*----------------------------------------------------------------------------*/
#define MCIERR_OVLY_INVALID_HWND_STYLE    (MCIERR_CUSTOM_DRIVER_BASE + 1)
#define MCIERR_OVLY_EMPTY_BUFFER          (MCIERR_CUSTOM_DRIVER_BASE + 2)
#define MCIERR_OVLY_INVALID_RECTANGLE     (MCIERR_CUSTOM_DRIVER_BASE + 3)
#define MCIERR_OVLY_DESTRC_GT_SRCRC       (MCIERR_CUSTOM_DRIVER_BASE + 4)
#define MCIERR_OVLY_NOT_AVAILABLE         (MCIERR_CUSTOM_DRIVER_BASE + 5)
#define MCIERR_OVLY_DEFAULT_ONLY          (MCIERR_CUSTOM_DRIVER_BASE + 6)

/*----------------------------------------------------------------------------*/
/* Custom return values for MCI_STATUS                                        */
/*----------------------------------------------------------------------------*/

#ifndef MCI_IMAGE_FILE_FORMAT_RETURN
  #define MCI_IMAGE_FILE_FORMAT_RETURN            0xFF01
#endif
#ifndef MCI_IMAGE_PELFORMAT_RETURN
  #define MCI_IMAGE_PELFORMAT_RETURN              0xFF02
#endif
#ifndef MCI_TRANSPARENT_TYPE_RETURN             
  #define MCI_TRANSPARENT_TYPE_RETURN             0xFF03
#endif

#ifndef MCI_MODE_OTHER
  #define MCI_MODE_OTHER                          0x00000000L
#endif

